<template>
  <nav class="light-blue lighten-1" role="navigation">
    <div class="nav-wrapper container">
      <a id="logo-container" href="https://myvet.uz" class="brand-logo"
        >MyVet.Uz</a
      >
      <ul class="right hide-on-med-and-down">
        <li v-for="nav in resources.MainMenuBar" :key="nav.path">
          <router-link :to="nav.path">{{ nav.title }}</router-link>
        </li>
      </ul>

      <ul id="nav-mobile" class="sidenav">
        <li v-for="nav in resources.MainMenuBar" :key="nav.path">
          <router-link :to="nav.path">{{ nav.title }}</router-link>
        </li>
      </ul>
      <a href="#" data-target="nav-mobile" class="sidenav-trigger"
        ><i class="material-icons">menu</i></a
      >
    </div>
  </nav>
</template>

<script lang="ts" setup>
import { reactive } from "vue";
const resources = reactive({
  MainMenuBar: [
    { path: "/", title: "Главная" },
    { path: "/services", title: "Наши услуги" },
    { path: "/login", title: "Вход" },
    { path: "/about", title: "О нас" },
  ],
});
</script>
